package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-13 13:42
 * @Modify:
 **/
@Data
@Api(value="要货计划",description = "要货计划")
public class SapDspo extends SapBase{

    @ApiParam(value = "SA编号（或PO号）",example = "1")
    @AnnoOutputColumn
    private String ebeln;

    @ApiParam(value = "版本",example = "-1")
    @AnnoOutputColumn
    private String revno;

    @ApiParam(value = "SAitem或PO item",example = "-1")
    @AnnoOutputColumn
    private Integer evrtp;

    @ApiParam(value = "供应商代码",example = "-1")
    @AnnoOutputColumn
    private String lifnr;

    @ApiParam(value = "物料编码",example = "-1")
    @AnnoOutputColumn
    private String matnr;

    @ApiParam(value = "计量单位",example = "-1")
    @AnnoOutputColumn
    private String unit;

    @ApiParam(value = "数量",example = "-1")
    @AnnoOutputColumn
    private Double zdevNum;

    @ApiParam(value = "特殊采购标识",example = "-1")
    @AnnoOutputColumn
    private String pstyp;

    @ApiParam(value = "计划交货日期",example = "-1")
    @AnnoOutputColumn
    private String zdate;

    @ApiParam(value = "计划交货时间",example = "-1")
    @AnnoOutputColumn
    private String zcjsj;

    @ApiParam(value = "工厂代码",example = "-1")
    @AnnoOutputColumn
    private String werks;

    @ApiParam(value = "收货库存地点",example = "-1")
    @AnnoOutputColumn
    private String lgort;

    @ApiParam(value = "凭证标识",example = "-1")
    @AnnoOutputColumn
    private String zpzps;

    @ApiParam(value = "状态",example = "-1")
    @AnnoOutputColumn
    private String zstas;

    @ApiParam(value = "状态",example = "-1")
    @AnnoOutputColumn
    private String loekz;

    @ApiParam(value = "最小包装数量",example = "-1")
    @AnnoOutputColumn
    private Double bstrf;

    @ApiParam(value = "条码已打印的数量",example = "-1")
    @AnnoOutputColumn
    private Double prnnum;

//    //公共字段 ++++++++++++++++++++++++++++++++++++++++++
//    @ApiParam(value = "处理人",example = "-1")
//    @AnnoOutputColumn
//    private String actusr = "导入";
//
//    @ApiParam(value = "SID",example = "-1")
//    @AnnoOutputColumn
//    private String sid = UUID.randomUUID().toString()+UUID.randomUUID().toString();
//
//    /*@ApiParam(value = "接收数据日期",example = "-1")
//    @AnnoOutputColumn
//    private String recymd;
//
//    @ApiParam(value = "接收数据时间",example = "-1")
//    @AnnoOutputColumn
//    private String rechms;
//
//    @ApiParam(value = "同步标志",example = "-1")
//    @AnnoOutputColumn
//    private String synflg;*/
//
//    @ApiParam(value = "同步日期",example = "-1")
//    @AnnoOutputColumn
//    private String synymd;
//
//    @ApiParam(value = "同步时间",example = "-1")
//    @AnnoOutputColumn
//    private String synhms;
//
//    /*@ApiParam(value = "处理标志",example = "-1")
//    @AnnoOutputColumn
//    private String actflg;*/
//
//    @ApiParam(value = "处理日期",example = "-1")
//    @AnnoOutputColumn
//    private String actymd;
//
//    @ApiParam(value = "处理时间",example = "-1")
//    @AnnoOutputColumn
//    private String acthms;
//
//    @ApiParam(value = "状态标志",example = "-1")
//    @AnnoOutputColumn
//    private  String staflg;
//
//    @ApiParam(value = "顺序号",example = "-1")
//    @AnnoOutputColumn
//    private Integer seq;
//
//    @ApiParam(value = "GUID",example = "-1")
//    @AnnoOutputColumn
//    private String guid;


}
