package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :
 * @Reference :
 * @Author : amy
 * @CreateDate : 2019-06-19 13:21
 * @Modify:
 **/
@Data
@Api(value="零星领料(退)料结果",description = "零星领料(退)料结果")
public class WmsMiscr extends SapBase{

    @ApiParam(value = "编号",example = "1")
    @AnnoOutputColumn
    private String refid;

    @ApiParam(value = "行号",example = "1")
    @AnnoOutputColumn
    private Double zeile;

    @ApiParam(value = "工厂",example = "1")
    @AnnoOutputColumn
    private String werks;

    @ApiParam(value = "发出库存地点（退回库存地点）",example = "1")
    @AnnoOutputColumn
    private String lgort;

    @ApiParam(value = "物料编码",example = "1")
    @AnnoOutputColumn
    private String matnr;

    @ApiParam(value = "数量",example = "1")
    @AnnoOutputColumn
    private Double erfmg;

    @ApiParam(value = "计量单位",example = "1")
    @AnnoOutputColumn
    private String erfme;

    @ApiParam(value = "业务类型",example = "1")
    @AnnoOutputColumn
    private String zaction;

    @ApiParam(value = "交易日期",example = "1")
    @AnnoOutputColumn
    private String zpost;

    @ApiParam(value = "交易时间",example = "1")
    @AnnoOutputColumn
    private String ztime;

    public Double getZeileVal() {
        return zeile== null ? 0D : this.zeile.doubleValue();
    }

    public Double getErfmgVal() {
        return  erfmg== null ? 0D : this.erfmg.doubleValue();
    }
}
